#ifndef REQUESTDISPATCHER_H
#define REQUESTDISPATCHER_H

#include "Request.h"

typedef struct
{
  int nDummy;
} RequestDispatcher;

RequestDispatcher* RequestDispatcher_Construct(RequestDispatcher* pThis);

void RequestDispatcher_Destruct(RequestDispatcher* pThis);

int RequestDispatcher_Dispatch(RequestDispatcher* pThis, Request* pRequest);

#endif
